Bug 186828

Summary: textproc/rubygem-nokogiri: does not work
Product: Ports & Packages Reporter: hiroto.kagotani
Component: Individual Port(s)Assignee: Steve Wills <swills>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description hiroto.kagotani 2014-02-17 03:30:01 UTC
After upgrading rubygem-nokogiri to 1.6.1, applications using nokogiri do not work with a message "Could not find mini_portile (~> 0.5.0)".

How-To-Repeat: With ruby-1.9.3.484_1,1 and rubygem-nokogiri-1.6.1, run the following script (say /tmp/a.rb):
#!/usr/bin/env ruby
require 'nokogiri'

Then, you will get the following message:
/usr/local/lib/ruby/site_ruby/1.9/rubygems/dependency.rb:247:in `to_specs': Could not find mini_portile (~> 0.5.0) amongst [nokogiri-1.6.1] (Gem::LoadError)
        from /usr/local/lib/ruby/site_ruby/1.9/rubygems/specification.rb:778:in `block in activate_dependencies'
        from /usr/local/lib/ruby/site_ruby/1.9/rubygems/specification.rb:767:in `each'
        from /usr/local/lib/ruby/site_ruby/1.9/rubygems/specification.rb:767:in `activate_dependencies'
        from /usr/local/lib/ruby/site_ruby/1.9/rubygems/specification.rb:751:in `activate'
        from /usr/local/lib/ruby/site_ruby/1.9/rubygems.rb:212:in `rescue in try_activate'
        from /usr/local/lib/ruby/site_ruby/1.9/rubygems.rb:209:in `try_activate'
        from /usr/local/lib/ruby/site_ruby/1.9/rubygems/custom_require.rb:59:in `rescue in require'
        from /usr/local/lib/ruby/site_ruby/1.9/rubygems/custom_require.rb:35:in `require'
        from /tmp/a.rb:2:in `<main>'
Comment 1 Edwin Groothuis freebsd_committer 2014-02-17 03:30:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ruby

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Steve Wills freebsd_committer 2014-02-18 19:18:53 UTC
Responsible Changed
From-To: ruby->swills

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-02-18 19:36:57 UTC
Author: swills
Date: Tue Feb 18 19:36:50 2014
New Revision: 344950
URL: http://svnweb.freebsd.org/changeset/ports/344950
QAT: https://qat.redports.org/buildarchive/r344950/

Log:
  - Remove dependency on mini_portile, which isn't needed
  
  PR:		ports/186828
  Reported by:	Hiroto Kagotani <hiroto.kagotani@gmail.com>

Added:
  head/textproc/rubygem-nokogiri/files/patch-nokogiri-1.6.1.gemspec   (contents, props changed)
Modified:
  head/textproc/rubygem-nokogiri/Makefile

Modified: head/textproc/rubygem-nokogiri/Makefile
==============================================================================
--- head/textproc/rubygem-nokogiri/Makefile	Tue Feb 18 19:34:04 2014	(r344949)
+++ head/textproc/rubygem-nokogiri/Makefile	Tue Feb 18 19:36:50 2014	(r344950)
@@ -2,6 +2,7 @@
 
 PORTNAME=	nokogiri
 PORTVERSION=	1.6.1
+PORTREVISION=	1
 CATEGORIES=	textproc rubygems
 MASTER_SITES=	RG
 

Added: head/textproc/rubygem-nokogiri/files/patch-nokogiri-1.6.1.gemspec
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/textproc/rubygem-nokogiri/files/patch-nokogiri-1.6.1.gemspec	Tue Feb 18 19:36:50 2014	(r344950)
@@ -0,0 +1,19 @@
+--- ./nokogiri-1.6.1.gemspec.orig	2014-02-18 19:30:35.314708116 +0000
++++ ./nokogiri-1.6.1.gemspec	2014-02-18 19:31:03.496205821 +0000
+@@ -15,16 +15,6 @@
+ date: 2013-12-14 00:00:00 Z
+ dependencies: 
+ - !ruby/object:Gem::Dependency 
+-  version_requirements: &id001 !ruby/object:Gem::Requirement 
+-    requirements: 
+-    - - ~>
+-      - !ruby/object:Gem::Version 
+-        version: 0.5.0
+-  type: :runtime
+-  name: mini_portile
+-  prerelease: false
+-  requirement: *id001
+-- !ruby/object:Gem::Dependency 
+   version_requirements: &id002 !ruby/object:Gem::Requirement 
+     requirements: 
+     - - ~>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Steve Wills freebsd_committer 2014-02-18 19:38:18 UTC
State Changed
From-To: open->closed

Fix committed, please verify and let me know if you still see an issue. 
Sorry about that and thanks for the report.